/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<AliasEditModel.h>)
#  include <AliasEditModel.h>
#endif
#if __has_include(<CacheCryptoStructs.h>)
#  include <CacheCryptoStructs.h>
#endif
#if __has_include(<CallManager.h>)
#  include <CallManager.h>
#endif
#if __has_include(<Clipboard.h>)
#  include <Clipboard.h>
#endif
#if __has_include(<CommunitiesModel.h>)
#  include <CommunitiesModel.h>
#endif
#if __has_include(<DelegateChooser.h>)
#  include <DelegateChooser.h>
#endif
#if __has_include(<DeviceVerificationFlow.h>)
#  include <DeviceVerificationFlow.h>
#endif
#if __has_include(<EventDelegateChooser.h>)
#  include <EventDelegateChooser.h>
#endif
#if __has_include(<EventExpiry.h>)
#  include <EventExpiry.h>
#endif
#if __has_include(<FallbackAuth.h>)
#  include <FallbackAuth.h>
#endif
#if __has_include(<HiddenEvents.h>)
#  include <HiddenEvents.h>
#endif
#if __has_include(<ImagePackListModel.h>)
#  include <ImagePackListModel.h>
#endif
#if __has_include(<InputBar.h>)
#  include <InputBar.h>
#endif
#if __has_include(<InviteesModel.h>)
#  include <InviteesModel.h>
#endif
#if __has_include(<LoginPage.h>)
#  include <LoginPage.h>
#endif
#if __has_include(<MainWindow.h>)
#  include <MainWindow.h>
#endif
#if __has_include(<MemberList.h>)
#  include <MemberList.h>
#endif
#if __has_include(<MxcAnimatedImage.h>)
#  include <MxcAnimatedImage.h>
#endif
#if __has_include(<MxcMediaProxy.h>)
#  include <MxcMediaProxy.h>
#endif
#if __has_include(<NhekoCursorShape.h>)
#  include <NhekoCursorShape.h>
#endif
#if __has_include(<NhekoDropArea.h>)
#  include <NhekoDropArea.h>
#endif
#if __has_include(<NhekoGlobalObject.h>)
#  include <NhekoGlobalObject.h>
#endif
#if __has_include(<NhekoMenuVisibilityFilter.h>)
#  include <NhekoMenuVisibilityFilter.h>
#endif
#if __has_include(<Olm.h>)
#  include <Olm.h>
#endif
#if __has_include(<PowerlevelsEditModels.h>)
#  include <PowerlevelsEditModels.h>
#endif
#if __has_include(<PresenceEmitter.h>)
#  include <PresenceEmitter.h>
#endif
#if __has_include(<ReCaptcha.h>)
#  include <ReCaptcha.h>
#endif
#if __has_include(<ReadReceiptsModel.h>)
#  include <ReadReceiptsModel.h>
#endif
#if __has_include(<RegisterPage.h>)
#  include <RegisterPage.h>
#endif
#if __has_include(<RoomDirectoryModel.h>)
#  include <RoomDirectoryModel.h>
#endif
#if __has_include(<RoomSettings.h>)
#  include <RoomSettings.h>
#endif
#if __has_include(<RoomSummary.h>)
#  include <RoomSummary.h>
#endif
#if __has_include(<RoomlistModel.h>)
#  include <RoomlistModel.h>
#endif
#if __has_include(<SelfVerificationStatus.h>)
#  include <SelfVerificationStatus.h>
#endif
#if __has_include(<SingleImagePackModel.h>)
#  include <SingleImagePackModel.h>
#endif
#if __has_include(<Theme.h>)
#  include <Theme.h>
#endif
#if __has_include(<TimelineFilter.h>)
#  include <TimelineFilter.h>
#endif
#if __has_include(<TimelineModel.h>)
#  include <TimelineModel.h>
#endif
#if __has_include(<TimelineViewManager.h>)
#  include <TimelineViewManager.h>
#endif
#if __has_include(<UIA.h>)
#  include <UIA.h>
#endif
#if __has_include(<UserDirectoryModel.h>)
#  include <UserDirectoryModel.h>
#endif
#if __has_include(<UserProfile.h>)
#  include <UserProfile.h>
#endif
#if __has_include(<UserSettingsPage.h>)
#  include <UserSettingsPage.h>
#endif
#if __has_include(<VerificationManager.h>)
#  include <VerificationManager.h>
#endif
#if __has_include(<WebRTCSession.h>)
#  include <WebRTCSession.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_im_nheko()
{
    qmlRegisterModule("im.nheko", 1, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<AliasEditingModel>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<CallManager>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<Clipboard>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<CommunitiesModel>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<DelegateChoice>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<DelegateChooser>("im.nheko", 1);
    qmlRegisterAnonymousType<QQuickItem, 254>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<DeviceVerificationFlow>("im.nheko", 1);
    qmlRegisterEnum<DeviceVerificationFlow::State>("DeviceVerificationFlow::State");
    qmlRegisterEnum<DeviceVerificationFlow::Error>("DeviceVerificationFlow::Error");
    qmlRegisterTypesAndRevisions<EventDelegateChoice>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<EventDelegateChooser>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<EventDelegateChooserAttachedType>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<EventExpiry>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<FallbackAuth>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<FilteredCommunitiesModel>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<FilteredRoomlistModel>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<HiddenEvents>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<ImagePackListModel>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<InviteesModel>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<LoginPage>("im.nheko", 1);
    qmlRegisterEnum<LoginPage::LoginMethod>("LoginPage::LoginMethod");
    qmlRegisterTypesAndRevisions<MainWindow>("im.nheko", 1);
    qmlRegisterAnonymousType<QQuickWindow, 254>("im.nheko", 1);
    qmlRegisterAnonymousType<QWindow, 254>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<MediaUpload>("im.nheko", 1);
    qmlRegisterEnum<MediaUpload::MediaType>("MediaUpload::MediaType");
    qmlRegisterTypesAndRevisions<MemberList>("im.nheko", 1);
    qmlRegisterEnum<MemberList::MemberSortRoles>("MemberList::MemberSortRoles");
    qmlRegisterTypesAndRevisions<MxcAnimatedImage>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<MxcMediaProxy>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<Nheko>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<NhekoCursorShape>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<NhekoDropArea>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<NhekoMenuVisibilityFilter>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<PowerlevelEditingModels>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<PresenceEmitter>("im.nheko", 1);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QMediaPlayer *>().id();
    qmlRegisterEnum<QMediaPlayer::PlaybackState>("QMediaPlayer::PlaybackState");
    qmlRegisterEnum<QMediaPlayer::MediaStatus>("QMediaPlayer::MediaStatus");
    qmlRegisterEnum<QMediaPlayer::Error>("QMediaPlayer::Error");
    qmlRegisterEnum<QMediaPlayer::Loops>("QMediaPlayer::Loops");
    qmlRegisterEnum<QMediaPlayer::PitchCompensationAvailability>("QMediaPlayer::PitchCompensationAvailability");
    QMetaType::fromType<QPalette>().id();
    qmlRegisterEnum<QPalette::ColorGroup>("QPalette::ColorGroup");
    qmlRegisterEnum<QPalette::ColorRole>("QPalette::ColorRole");
    QMetaType::fromType<QQuickView *>().id();
    qmlRegisterEnum<QQuickView::ResizeMode>("QQuickView::ResizeMode");
    qmlRegisterEnum<QQuickView::Status>("QQuickView::Status");
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<ReCaptcha>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<ReadReceiptsProxy>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<RegisterPage>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<RoomDirectoryModel>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<RoomSettings>("im.nheko", 1);
    qmlRegisterEnum<RoomSettings::Visibility>("RoomSettings::Visibility");
    qmlRegisterTypesAndRevisions<RoomSummary>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<SelfVerificationStatus>("im.nheko", 1);
    qmlRegisterEnum<SelfVerificationStatus::Status>("SelfVerificationStatus::Status");
    qmlRegisterTypesAndRevisions<SingleImagePackModel>("im.nheko", 1);
    qmlRegisterEnum<SingleImagePackModel::Roles>("SingleImagePackModel::Roles");
    qmlRegisterTypesAndRevisions<Theme>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<TimelineFilter>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<TimelineModel>("im.nheko", 1);
    qmlRegisterEnum<TimelineModel::Roles>("TimelineModel::Roles");
    qmlRegisterTypesAndRevisions<TimelineViewManager>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<UIA>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<UserDirectoryModel>("im.nheko", 1);
    qmlRegisterTypesAndRevisions<UserSettings>("im.nheko", 1);
    qmlRegisterEnum<UserSettings::Presence>("UserSettings::Presence");
    qmlRegisterEnum<UserSettings::ShowImage>("UserSettings::ShowImage");
    qmlRegisterTypesAndRevisions<UserSettingsModel>("im.nheko", 1);
    qmlRegisterEnum<UserSettingsModel::Types>("UserSettingsModel::Types");
    qmlRegisterTypesAndRevisions<VerificationManager>("im.nheko", 1);
    {
        Q_CONSTINIT static auto metaType = QQmlPrivate::metaTypeForNamespace(
            [](const QtPrivate::QMetaTypeInterface *) {return &crypto::staticMetaObject;},
            "crypto");
        QMetaType(&metaType).id();
    }
    qmlRegisterNamespaceAndRevisions(&crypto::staticMetaObject, "im.nheko", 1, nullptr, &crypto::staticMetaObject, nullptr);
    qmlRegisterEnum<crypto::Trust>("crypto::Trust");
    {
        Q_CONSTINIT static auto metaType = QQmlPrivate::metaTypeForNamespace(
            [](const QtPrivate::QMetaTypeInterface *) {return &olm::staticMetaObject;},
            "olm");
        QMetaType(&metaType).id();
    }
    qmlRegisterNamespaceAndRevisions(&olm::staticMetaObject, "im.nheko", 1, nullptr, &olm::staticMetaObject, nullptr);
    qmlRegisterEnum<olm::DecryptionErrorCode>("olm::DecryptionErrorCode");
    {
        Q_CONSTINIT static auto metaType = QQmlPrivate::metaTypeForNamespace(
            [](const QtPrivate::QMetaTypeInterface *) {return &qml_mtx_events::staticMetaObject;},
            "qml_mtx_events");
        QMetaType(&metaType).id();
    }
    qmlRegisterNamespaceAndRevisions(&qml_mtx_events::staticMetaObject, "im.nheko", 1, nullptr, &qml_mtx_events::staticMetaObject, nullptr);
    qmlRegisterEnum<qml_mtx_events::EventType>("qml_mtx_events::EventType");
    qmlRegisterEnum<qml_mtx_events::EventState>("qml_mtx_events::EventState");
    qmlRegisterEnum<qml_mtx_events::NotificationLevel>("qml_mtx_events::NotificationLevel");
    {
        Q_CONSTINIT static auto metaType = QQmlPrivate::metaTypeForNamespace(
            [](const QtPrivate::QMetaTypeInterface *) {return &verification::staticMetaObject;},
            "verification");
        QMetaType(&metaType).id();
    }
    qmlRegisterNamespaceAndRevisions(&verification::staticMetaObject, "im.nheko", 1, nullptr, &verification::staticMetaObject, nullptr);
    qmlRegisterEnum<verification::Status>("verification::Status");
    {
        Q_CONSTINIT static auto metaType = QQmlPrivate::metaTypeForNamespace(
            [](const QtPrivate::QMetaTypeInterface *) {return &webrtc::staticMetaObject;},
            "webrtc");
        QMetaType(&metaType).id();
    }
    qmlRegisterNamespaceAndRevisions(&webrtc::staticMetaObject, "im.nheko", 1, nullptr, &webrtc::staticMetaObject, nullptr);
    qmlRegisterEnum<webrtc::CallType>("webrtc::CallType");
    qmlRegisterEnum<webrtc::ScreenShareType>("webrtc::ScreenShareType");
    qmlRegisterEnum<webrtc::State>("webrtc::State");
    QT_WARNING_POP
    qmlRegisterModule("im.nheko", 1, 1);
}

static const QQmlModuleRegistration imnhekoRegistration("im.nheko", qml_register_types_im_nheko);
